import { RouteDefinition } from "@solidjs/router";
import Home from "./views/Home";
import Finder from "./views/Finder";
import Viewer from "./views/Viewer";
import Embalse from "./views/Embalse";

const routes: RouteDefinition[] = [
  {
    path: '/',
    component: Home
  },
  {
    path: '/embalses',
    component: Viewer
  },
  {
    path: '/embalses/nearby',
    component: Finder
  },
  {
    path: '/embalses/:id',
    component: Embalse
  }
];

export default routes;
